aboutsummaryrefslogtreecommitdiffstats
path: root/cat-nonbackups-with-head
diff options
context:
space:
mode:
authorMattias Andrée <maandree@kth.se>2024-02-18 13:22:42 +0100
committerMattias Andrée <maandree@kth.se>2024-02-18 13:22:42 +0100
commitc274475635d410c0e9f812e71d20183cb923cd6b (patch)
tree70f59c3b28a36921ea46a93effc565d59e20f43b /cat-nonbackups-with-head
parentAdd makeenv (diff)
downloaddotfiles-c274475635d410c0e9f812e71d20183cb923cd6b.tar.gz
dotfiles-c274475635d410c0e9f812e71d20183cb923cd6b.tar.bz2
dotfiles-c274475635d410c0e9f812e71d20183cb923cd6b.tar.xz
misc updates
Signed-off-by: Mattias Andrée <maandree@kth.se>
Diffstat (limited to '')
-rwxr-xr-xcat-nonbackups-with-head18
1 files changed, 18 insertions, 0 deletions
diff --git a/cat-nonbackups-with-head b/cat-nonbackups-with-head
new file mode 100755
index 0000000..426a50f
--- /dev/null
+++ b/cat-nonbackups-with-head
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+good_filename () {
+ test -n "$(printf '%s\n' "$1" | grep -v '~$' || :)" || return 1
+ test -n "$(printf '%s\n' "$1" | grep -v '\.swo$' || :)" || return 1
+ test -n "$(printf '%s\n' "$1" | grep -v '\.swp$' || :)" || return 1
+ test -n "$(printf '%s\n' "$1" | grep -v '\.bak$' || :)" || return 1
+ test -n "$(printf '%s\n' "$1" | grep -v '^\.#' || :)" || return 1
+ test -n "$(printf '%s\n' "$1" | grep -v '^#' || :)" || return 1
+}
+if test "$1" = "--"; then
+ shift 1
+fi
+for file; do
+ if good_filename "$file" >/dev/null 2>/dev/null; then
+ samedrun "$0" cat-with-head -- "$file"
+ fi
+done